import request from '@/utils/request'

// 创建用户信息
export function createUsers(data) {
  return request({
    url: '/system/users-xq/create',
    method: 'post',
    data: data
  })
}

// 更新用户信息
export function updateUsers(data) {
  return request({
    url: '/system/users-xq/update',
    method: 'put',
    data: data
  })
}

// 删除用户信息
export function deleteUsers(id) {
  return request({
    url: '/system/users-xq/delete?id=' + id,
    method: 'delete'
  })
}

// 获得用户信息
export function getUsers(id) {
  return request({
    url: '/system/users-xq/get?id=' + id,
    method: 'get'
  })
}

// 获得用户信息分页
export function getUsersPage(query) {
  return request({
    url: '/system/users-xq/page',
    method: 'get',
    params: query
  })
}

// 导出用户信息 Excel
export function exportUsersExcel(query) {
  return request({
    url: '/system/users-xq/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
